# OSGeo::FDO::Common::DictionaryElementCollection Class Reference
[OSGeo::FDO::Common]

Inheritance diagram for OSGeo::FDO::Common::DictionaryElementCollection:

[legend]

List of all members.

## Detailed Description

DictionaryElementCollection is a collection of DictionaryElement objects(name-value pairs).

()

## Public Member Functions
System::Int32 | Add (DictionaryElement *value)
| Adds a DictionaryElement object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (String *name)
| Determines whether the collection contains a specific DictionaryElement object.
System::Boolean | Contains (DictionaryElement *value)
| Determines whether the collection contains a specific DictionaryElement object.
System::Void | CopyTo (DictionaryElement *array[], System::Int32 index)
| Copies the elements of the collection to an array.
| DictionaryElementCollection (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a dictionary object based on an unmanaged instance of the object.
| DictionaryElementCollection ()
| Constructs a new empty dictionary element collection.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property DictionaryElement * | get_Item (System::Int32 index)
| Gets a DictionaryElement in the collection.
__property DictionaryElement * | get_RealTypeItem (System::String *index)
| Gets a named DictionaryElement in the collection.
__property DictionaryElement * | get_RealTypeItem (System::Int32 index)
| Gets a DictionaryElement in the collection.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
System::Int32 | IndexOf (String *name)
| Determines the index of a specific DictionaryElement object.
System::Int32 | IndexOf (DictionaryElement *value)
| Determines the index of a specific DictionaryElement object.
System::Void | Insert (System::Int32 index, DictionaryElement *value)
| Inserts a DictionaryElement object into the collection at the specified position.
System::Void | Remove (DictionaryElement *value)
| Removes the first occurrence of a specific DictionaryElement object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th DictionaryElement from this collection.
__property System::Void | set_Item (System::Int32 index, DictionaryElement *value)
| Sets a DictionaryElement in the collection.
__property System::Void | set_RealTypeItem (System::Int32 index, DictionaryElement *value)
| Sets a DictionaryElement in the collection.